Permalink
Browse files

Abort unless Rubinius.ruby19?

  • Loading branch information...
1 parent bebcf73 commit 2973226534c1c6054612e15cdcb00f46cd7f434a @txus txus committed Feb 15, 2012
Showing with 6 additions and 0 deletions.
  1. +6 −0 bin/pelusa
View
@@ -1,6 +1,12 @@
#!/usr/bin/env ruby
$:.unshift(File.dirname(__FILE__) + '/../lib')
+warning = %q{Pelusa needs Rubinius to run in 1.9 mode.
+Please either `export RBXOPT=-X19` before running it or compile Rubinius with
+1.9 support enabled by default.}
+
+abort warning unless Rubinius.ruby19?
+
require 'pelusa'
cli = Pelusa::Cli.new(ARGV)

0 comments on commit 2973226

Please sign in to comment.